Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518775 - SmartStateAnalysis on template throws "Error: [undefined method `each' for #<DMiqVim:0x0000000c0c7090>]" in evm.log
Summary: SmartStateAnalysis on template throws "Error: [undefined method `each' for #<...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: James Wong
QA Contact: Satyajit Bulage
URL:
Whiteboard: smartstate:vmware
Depends On: 1405051
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 14:55 UTC by Satoe Imaishi
Modified: 2018-03-01 13:21 UTC (History)
6 users (show)

Fixed In Version: 5.9.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1405051
Environment:
Last Closed: 2018-03-01 13:21:45 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Comment 2 James Wong 2017-11-29 15:08:34 UTC
https://github.com/ManageIQ/manageiq-providers-vmware/pull/143 backported

Comment 3 CFME Bot 2017-11-29 20:45:03 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/3b758afb8bccc837f4adae0da9dfd2fec8f951eb

commit 3b758afb8bccc837f4adae0da9dfd2fec8f951eb
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Nov 28 08:55:12 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Nov 29 09:58:17 2017 -0500

    Merge pull request #143 from jameswnl/ssa-use-addr
    
    SSA connect to use :hostname or :ipaddress instead of :address
    
    (cherry picked from commit 4feac2ca97c009e309d396b0eb5bbd2b790482ab)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518775

 .../providers/vmware/infra_manager/vm_or_template_shared/scanning.rb  | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 4 Satyajit Bulage 2017-12-18 17:11:44 UTC
SSA on templates gathers all required data without any error in evm.log.

Verified Version: 5.9.0.12.20171205180333_3e32b3d

Comment 7 errata-xmlrpc 2018-03-01 13:21:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.